[blfs-dev] apache and php

Bruce Dubbs bruce.dubbs at gmail.com
Wed Aug 28 13:40:58 PDT 2013


It seems that apache is getting fussy about php.  I kept getting the 
message:

"Apache is running a threaded MPM, but your PHP Module is not compiled 
to be threadsafe. You need to recompile PHP. Pre-configuration failed"

I don't recall seeing that before.  With a little googling, it seems 
that php needs to be compiled with --enable-maintainer-zts to get it to 
work with apache.

Has anyone else seen this?

   -- Bruce





More information about the blfs-dev mailing list